Skip to main content
GET
/
v0
/
providers
/
{provider_id}
Get provider
curl --request GET \
  --url https://api.getlemma.com/v0/providers/{provider_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "entity_k7mXp2vR9nTfBw4s",
  "name": "Riverside Family Medicine",
  "structure": "professional_llc",
  "npi": "1234567890",
  "lockbox_address": {
    "recipient_name": "ATTN: ABC123",
    "line1": "2261 Market St",
    "line2": "Ste 1234",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94114"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getlemma.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns detailed information about a single provider, including the mailing address for their lockbox.

Path parameters

provider_id
string
required
The ID of the provider. You can find provider IDs using the List providers endpoint.

Response

Returns a provider object.
id
string
Unique identifier for the provider.
name
string
The name of the provider or practice.
structure
string
The provider’s legal structure. One of professional_corporation, professional_llc, llc, partnership, sole_prop, mso, or nonprofit.
npi
string
The provider’s 10-digit National Provider Identifier.
lockbox_address
object
The mailing address for the provider’s lockbox.
Use the lockbox address to direct payers to send checks and correspondence for this provider. Mail sent to this address is automatically scanned and available via the checks and mail endpoints.
{
  "id": "entity_k7mXp2vR9nTfBw4s",
  "name": "Riverside Family Medicine",
  "structure": "professional_llc",
  "npi": "1234567890",
  "lockbox_address": {
    "recipient_name": "ATTN: ABC123",
    "line1": "2261 Market St",
    "line2": "Ste 1234",
    "city": "San Francisco",
    "state": "CA",
    "postalCode": "94114"
  }
}